/*
 * -----------------------------------------------------------------
 * Copyright (c) 2021 BestSolution.at EDV Systemhaus GmbH
 * All Rights Reserved.
 *
 * BestSolution.at MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE
 * SUITABILITY OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING
 * BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE  OR NON - INFRINGEMENT.
 * BestSolution.at SHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED BY
 * LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING THIS
 * SOFTWARE OR ITS DERIVATIVES.
 *
 * This software is released under the terms of the
 *
 *                  "GNU General Public License, Version 2 
 *                         with classpath exception"
 *
 * and may only be distributed and used under the terms of the
 * mentioned license. You should have received a copy of the license
 * along with this software product, if not you can download it from
 * http://www.gnu.org/licenses/gpl.html
 * ----------------------------------------------------------------
 */
package javafx.uia;

import java.util.List;

/**
 * marks an IUIAElement to be virtual.
 * <p>Virtual Elements only may exist under Virtual Roots</p>
 */
public interface IUIAVirtualElement extends IUIAElement {
    
    /**
     * 
     * @return 
     *   the parent if it is a virtual element
     */
    IUIAElement getParent();

    /**
     * 
     * @return
     *   the virtual children of this element.
     */
    List<IUIAElement> getChildren();

    @Override
    default void SetFocus() {
        // a virtual element is not focusable
        // JavaFX allows only real nodes to acquire the focus
    }

}
